package com.supervision.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 疾病处置计划关联表
 * @TableName vp_disease_treatmen_relation
 */
@TableName(value ="vp_disease_treatment_relation")
@Data
public class DiseaseTreatmentRelation implements Serializable {
    /**
     * 疾病id
     */
    @TableId
    private String diseaseId;

    /**
     * 处置计划id
     */
    @TableId
    private String planId;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}